#ifndef _KATE_ENCODE_STATE_H_
#define _KATE_ENCODE_STATE_H_

typedef struct kate_encode_state {
  oggpack_buffer opb;
  ogg_int64_t furthest_granule;

  struct {
    char *language;
    kate_text_encoding text_encoding;
    int region;
    int style;
  } overrides;
} kate_encode_state;

extern kate_encode_state *kate_encode_state_create(void);
extern int kate_encode_state_clear_overrides(kate_encode_state *kes,const kate_info *ki);
extern int kate_encode_state_destroy(kate_encode_state *kes);

#endif
